Bug 493716 - gnome-power-manager in F11-beta live cd shows negative battery capacity
gnome-power-manager in F11-beta live cd shows negative battery capacity
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 15:36 EDT by Gireesh Sreekantan
Modified: 2010-05-23 11:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-23 11:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-power-manager-bogus_info (40.11 KB, image/png)
2009-04-02 15:36 EDT, Gireesh Sreekantan
no flags Details
output from devkit-power command (1.33 KB, text/plain)
2009-04-02 18:49 EDT, Gireesh Sreekantan
no flags Details

  None (edit)
Description Gireesh Sreekantan 2009-04-02 15:36:14 EDT
Created attachment 337883 [details]
gnome-power-manager-bogus_info

Description of problem:
gnome-power-manager shows bogus battery information. 

Version-Release number of selected component (if applicable):
gnome-power-manager-2.25.92-1.fc11.i586

How reproducible:
Boot with the Fedora 11 Beta live Cd on a compaq 3425 laptop.

Steps to Reproduce:
1. Boot with F11 Beta Live Cd on a compaq 3425 laptop
2. Login with the default "Automatic login" user
3. Gnome-power-manager shows a notification that battery is broken and shows a negative battery percentage. The magnitude of the percentage exceeds 100. 
  
Actual results:
Gnome-power-manager shows a notification that battery is broken and shows a negative battery percentage. The magnitude of the percentage exceeds 100. Please see attached screenshot.

Expected results:
Gnome-power-manager shows correct battery information.

Additional info:

[liveuser@localhost ~]$ cat /proc/acpi/battery/BAT0/state 
present:                 yes
capacity state:          ok
charging state:          charged
present rate:            0 mA
remaining capacity:      1141 mAh
present voltage:         12380 mV
[liveuser@localhost ~]$ cat /proc/acpi/battery/BAT0/info 
present:                 yes
design capacity:         4400 mAh
last full capacity:      1141 mAh
battery technology:      rechargeable
design voltage:          10800 mV
design capacity warning: 55 mAh
design capacity low:     38 mAh
capacity granularity 1:  17 mAh
capacity granularity 2:  1086 mAh
model number:            Primary
serial number:           
battery type:            LION
OEM info:                Hewlett-Packard 
[liveuser@localhost ~]$
Comment 1 Richard Hughes 2009-04-02 17:43:08 EDT
Can you attach the output of "devkit-power -d" please.
Comment 2 Gireesh Sreekantan 2009-04-02 18:49:24 EDT
Created attachment 337949 [details]
output from devkit-power command
Comment 3 Richard Hughes 2009-04-06 06:21:51 EDT
2009-03-16  Richard Hughes  <richard@hughsie.com>

	* src/gpm-engine.c: (gpm_engine_device_check_capacity):
	Fix the low capacity warning to fix rh#489832

I'll release 2.26.1 next week, where this bug will be fixed in rawhide.
Comment 4 Bug Zapper 2009-06-09 09:08:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 09:27:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Gireesh Sreekantan 2010-05-23 11:26:28 EDT
This bug was fixed and I'm closing it out. Thanks for the help on this Richard.

Note You need to log in before you can comment on or make changes to this bug.